Package com.pixelmed.convert

# Class EncapsulateCompressedPixelData

java.lang.Object
com.pixelmed.convert.EncapsulateCompressedPixelData

public class EncapsulateCompressedPixelData extends Object

A class to create a DICOM image format file encoded in a compressed transfer syntax with the compressed bitstreams supplied from files.

## Constructor Summary

Constructors
Constructor
Description
`EncapsulateCompressedPixelData()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] arg)`
Create a DICOM image format file encoded in a compressed transfer syntax with the compressed bitstreams supplied from files.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EncapsulateCompressedPixelData

public EncapsulateCompressedPixelData()

## Method Details

### main

public static void main(String[] arg)

Create a DICOM image format file encoded in a compressed transfer syntax with the compressed bitstreams supplied from files.

The frames will be created in the order of the input file names on the command line.

The input DICOM file with the header is expected to have the correct Transfer Syntax UID and Pixel Data Module attribute values; any PixelData is discarded.

Parameters:
  `arg` - three or more parameters, the outputFile, an input DICOM file with the header, and one or more input files each containing a compressed bit stream